//  IoT電子工作キット sLab-Remo2
//  2-1.LED点滅
 
const byte LED_PIN = 12;    // ①利用ピンの設定（IO12にLED接続）
 
// ②起動時、最初に実行される処理
void setup() {
  Serial.begin(115200);     // ③シリアルモニタ設定（115200bps）
  Serial.println();         // (見やすくするために改行)
  Serial.println("BlinkStart"); // ④シリアルモニタに開始を表示
  pinMode(LED_PIN, OUTPUT); // ⑤IO12に出力設定
}
 
// ⑥setup完了後、電源OFFまで繰り返し処理
void loop() {
  digitalWrite(LED_PIN, HIGH);  // ⑦LEDを点灯する
  Serial.println("LED ON");     // ⑧シリアルモニタに表示
  delay(1000);                  // ⑨1秒間そのまま（点灯状態のまま）
  digitalWrite(LED_PIN, LOW);   // ⑩LEDを消灯する
  Serial.println("LED OFF");    // ⑪シリアルモニタに表示
  delay(1000);                  // ⑫1秒間そのまま（消灯状態のまま）
}
