//  IoT電子工作キット sLab-Remo2
//  2-1-4.人感センサ

const byte MOTN_SNR = 17;       // ①人感センサのピン設定

// ②起動時、最初に実行される処理
void setup() {
  Serial.begin(115200);         // ③シリアルモニタ設定
  Serial.println();             // (見やすくするために改行)
  Serial.println("MotionStart");// ④シリアルモニタに開始を表示
  pinMode(MOTN_SNR, INPUT);     // ⑤人感センサ端子を入力設定
}

// ⑥setup完了後、電源OFFまで繰り返し処理
void loop() {
  delay(1000);                  // ⑦1秒待つ
  // ⑧モーションセンサーのデータ取得(True/False)
  if (digitalRead(MOTN_SNR)) {
    Serial.println( "Detected!" );
  } else {
    Serial.println( "No detected." );
  }
}
